package org.dromara.service;


import org.dromara.common.core.domain.R;
import org.dromara.common.core.domain.model.AjaxResult;
import org.dromara.domain.residentInfo.ResidentInfo;
import org.dromara.domain.staffManage.StaffManage;

import java.util.Map;

/**
 * 首页统计Service接口
 *
 * @author boman
 * @date 2025-03-06
 */
public interface IStatisticsService {

    /**
     * APP首页统计
     */
    R<Map<String, Object>> numApp();

    AjaxResult numCar();

    /**
     * APP首页红点统计
     */
    R<Map<String, Object>> wuYeTips(StaffManage staffManage);

    /**
     * APP首页红点业主统计
     */
    R<Map<String, Object>> yeZhuTips(ResidentInfo residentInfo);
    /**
     * web车辆管控统计
     */
    AjaxResult vehicleControl();
}
